---@meta lyaml.implicit

--------------------------------------------------------------------------------
-- LYAML 隐式标量解析模块
--------------------------------------------------------------------------------

---@class lyaml_implicit*
---@type lyaml_implicit*
local M = {}

--- 解析 YAML null 标量。
---@param value string 标量文本
---@return lyaml_null*? value null 哨兵值
function M.null(value) end

--- 解析 YAML bool 标量。
---@param value string 标量文本
---@return boolean? value 布尔值
function M.bool(value) end

--- 解析二进制整数标量。
---@param value string 标量文本
---@return integer? value 整数值
function M.binary(value) end

--- 解析八进制整数标量。
---@param value string 标量文本
---@return integer? value 整数值
function M.octal(value) end

--- 解析十进制整数标量。
---@param value string 标量文本
---@return integer? value 整数值
function M.decimal(value) end

--- 解析十六进制整数标量。
---@param value string 标量文本
---@return integer? value 整数值
function M.hexadecimal(value) end

--- 解析六十进制整数标量。
---@param value string 标量文本
---@return integer? value 整数值
function M.sexagesimal(value) end

--- 解析 NaN 标量。
---@param value string 标量文本
---@return number? value NaN
function M.nan(value) end

--- 解析正负无穷标量。
---@param value string 标量文本
---@return number? value 无穷值
function M.inf(value) end

--- 解析浮点数标量。
---@param value string 标量文本
---@return number? value 浮点值
function M.float(value) end

--- 解析六十进制浮点数标量。
---@param value string 标量文本
---@return number? value 浮点值
function M.sexfloat(value) end

return M
